
import sys
from read_utils import *
import pandas as pd

def main():
    #Argument parsing:
    if len(sys.argv) < 2:
        print("Usae: python script.py <root rundir>")
        sys.exit(1)

    root_folder = sys.argv[1]
    
    # Search for rundirs:
    rundirs = find_rundirs_folders(root_folder)
    elap_time_list = []
    cpu_time_list = []

    # Parse statistics for each rundir:
    for statistic in ["elap_time", "elap_time_perc"]:
        rundirs = sorted(rundirs)
        profiling_results = []
        for rundir in rundirs:
            ts_completed = get_timesteps(rundir)
            print(f"Found rundir at {rundir} with {ts_completed} timesteps")
            rundir_results = get_profiling_data(rundir, statistic)
            rundir_results["rundir"] = rundir
            profiling_results.append(rundir_results)
            
        df = pd.DataFrame(profiling_results)
        print(df)

        df.to_csv(f"profiling_{statistic}.csv", index=False)

if __name__ == "__main__":
    main()